:root{
    --color-text-principal: white; 
    --color-text-hover: #9bf0e1 ;
}

/* Layout */

html, body, #home{
    height: 100%;
    overflow-x: hidden;
}

body{
    background: url(../imagens/capa.png),
                url(../imagens/ruido.png),
                linear-gradient(50deg, #ff4169, #7c26f8);
                background-attachment: fixed;     
                font-family: Helvetica, Arial, sans-serif;     
}






/* Inicio Nav-bar */


.color-text-principal{
    color: var(--color-text-principal);
}

.nav-item a:hover{
    color: var(--color-text-hover);
}

.color-background-principal{
    background-color: rgba(0, 0, 0, 0.6);
}

.navbar .navbar-toggler{
    border-color: rgba(255, 255, 255, .5);
}

.divisor{
    width: 1px;
    background: white;
    margin: 12px 15px;
}




/*   Capa   */
.capa{
    text-align: center;
}

.fa-solid, .fas{
    margin-right: 10px;
}


/* Estrutura de Conteúdos*/

#servicos{
    background: white;
}

.albuns{
    padding: 10px 0;
}

.rotacionar{
    -webkit-transform: rotate(30deg);
    -webkit-transform: rotate(30deg);
    transform: rotate(30deg);
    padding-left: 80px;
}

#servicos h2, h3{
    color: #7c25f8;
}

.caixa{
    padding: 20px 0;
}

#recursos h3{
    color: var(--color-text-hover);
    font-size: 2em;
    font-weight: 700;
    letter-spacing: 0.04em;
}

#recursos h2{
    color: white;
    font-size: 3em;
    font-weight: 700;
    letter-spacing: 0.04em;
}

#recursos p{
    color: white;
}



/* Tipografia */

.capa h1{
    font-weight: 900;
    letter-spacing: -0.05em;
    margin-bottom: 50px;
    color: var(--color-text-principal);
}

.btn-custom{
    color: white;
    border-radius: 500px;
    -webkit-border-radius-: 500px;
    -moz-webkit-border-radius: 500px;
    text-transform: uppercase;
    transition: background 0.4s, color 0.4s;
    padding: 10px 20px;
}

.btn-roxo{
    background: #7c25f8;
}
.btn-roxo:hover{
    background: #6207e3;
    color: white;
}

.btn-branco{
    border:2px solid white;
}

.btn-branco:hover{
    background-color: white;
    color: black;
}

.col-md-6 h2{
    font-size: 3em;
    font-weight: 700;
    letter-spacing: 0.04em;
}

.col-md-6 h3{
    font-size: 2em;
    font-weight: 700;
    letter-spacing: 0.04em;
}

.carousel-control-next, .carousel-control-prev{
    width: 5%;
}



/* Footer */

footer{
    background-color: black;
    padding: 50px 0px 20px 0px;
    position: relative;
}

footer h4{  
    font-size: 0.8em;
    text-transform: uppercase;
    color: #919496;
    margin-top: 10px;
}

footer .navbar-nav a{
    color: var(--color-text-principal);
    font-size: 0.8em;
}


footer .navbar-nav a:hover{
    color: var(--color-text-hover);
    font-size: 0.8em;
    text-decoration: none;
}

footer ul{
    list-style: none;
}

footer ul li{
    float: right;
}

footer .col-md-4 ul .mr-2 a img{
    width: 40px;
}




/* Media Queries */

/* Extra small devices (portrait phones, less than 576px) */
@media (max-width: 575.98px) { 
    .btn-custom{
        margin: 10px 15px;
        font-size: 1em;
    }
 }

/* Small devices (landscape phones, 576px and up) */
@media (min-width: 576px) and (max-width: 767.98px) {

 .capa h1{
    font-size: 3em;
 }

 .btn-custom{
    margin: 10px 15px;
}   
}

/*  Medium devices (tablets, 768px and up) */
@media (min-width: 768px) and (max-width: 991.98px) { 
    .capa h1{
        font-size: 4em;
     }

    footer .row .col-md-2 img{
        width: 110px;
    }

    footer h4{
        margin-top: 0;
    }
 }

/* Large devices (desktops, 992px and up) */
@media (min-width: 992px) and (max-width: 1199.98px) {  
    .capa h1{
        font-size: 5em;
     }
}

/* Extra large devices (large desktops, 1200px and up) */
@media (min-width: 1200px) { 
    .capa h1{
        font-size: 6em;
     }

    footer h4{
        margin-top: 0;
    }
 }

